import 'package:sacco/models/export.dart';
import 'package:sacco/tx_signer.dart';
import 'package:sacco/utils/export.dart';

void main() {
  // -----------------------------------
  // --- Creating a wallet
  // -----------------------------------

  final derivationPath = "m/44'/118'/0'/0/0";
  final networkInfo = NetworkInfo(id: "", bech32Hrp: "cosmos", lcdUrl: "");

  final mnemonicString =
      "final random flame cinnamon grunt hazard easily mutual resist pond solution define knife female tongue crime atom jaguar alert library best forum lesson rigid";
  final mnemonic = mnemonicString.split(" ");
  final wallet = HexWallet.derive(mnemonic, derivationPath, networkInfo);

  final message = StdMsg(
    type: "cosmos-sdk/MsgSend",
    value: {
      "from_address": "cosmos1huydeevpz37sd9snkgul6070mstupukw00xkw9",
      "to_address": "cosmos12lla7fg3hjd2zj6uvf4pqj7atx273klc487c5k",
      "amount": [
        {"denom": "uatom", "amount": "100"}
      ]
    },
  );

  // -----------------------------------
  // --- Creating a transaction
  // -----------------------------------

  final stdTx = TxBuilder.buildStdTx(stdMsgs: [message]);

  // -----------------------------------
  // --- Creating a transaction
  // -----------------------------------

  final signedStdTx = TxSigner.signStdTx(wallet: wallet, stdTx: stdTx);
}
